### Method

# Gimp Image convert_indexed

#### Declaration [src]

    gboolean
    gimp_image_convert_indexed (
      GimpImage* image,
      GimpConvertDitherType dither_type,
      GimpConvertPaletteType palette_type,
      gint num_cols,
      gboolean alpha_dither,
      gboolean remove_unused,
      const gchar* palette
    )

#### Description [src]

Convert specified image to and Indexed image

This procedure converts the specified image to ‘indexed’ color. This process requires an image in RGB or Grayscale mode. The ‘palette_type’ specifies what kind of palette to use, A type of ‘0’ means to use an optimal palette of ‘num_cols’ generated from the colors in the image. A type of ‘1’ means to re-use the previous palette (not currently implemented). A type of ‘2’ means to use the so-called WWW-optimized palette. Type ‘3’ means to use only black and white colors. A type of ‘4’ means to use a palette from the gimp palettes directories. The ‘dither type’ specifies what kind of dithering to use. ‘0’ means no dithering, ‘1’ means standard Floyd-Steinberg error diffusion, ‘2’ means Floyd-Steinberg error diffusion with reduced bleeding, ‘3’ means dithering based on pixel location (‘Fixed’ dithering).

#### Parameters

`dither_type`

  Type: `GimpConvertDitherType`

  The dither type to use.

`palette_type`

  Type: `GimpConvertPaletteType`

  The type of palette to use.

`num_cols`

  Type: `gint`

  The number of colors to quantize to, ignored unless (palette_type == GIMP_CONVERT_PALETTE_GENERATE).

`alpha_dither`

  Type: `gboolean`

  Dither transparency to fake partial opacity.

`remove_unused`

  Type: `gboolean`

  Remove unused or duplicate color entries from final palette, ignored if (palette_type == GIMP_CONVERT_PALETTE_GENERATE).

`palette`

  Type: `const gchar*`

  The name of the custom palette to use, ignored unless (palette_type == GIMP_CONVERT_PALETTE_CUSTOM).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE on success.